package com.ejie.ab79.model.propuestaSancion;

import java.util.Date;

import com.ejie.ab79.model.plantillas.Plantillas;
import com.ejie.ab79.model.plantillas.TiposPlantilla;

public class DocumentosPropuesta {

	// Atributos Actuaciones
	private int idRelActDoc;
	private int idActuacion = -1;

	// Atributos comunes
	private TiposPlantilla idTipoPlantilla;
	private String nombreDocumento;
	private String pid;
	private String dokusi;
	private int aportadoExpediente;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private int enviadoProSan;
	private int idInspeccion;
	private Plantillas plantilla;
	/**
	 * 
	 */
	private String tipoDocumento;

	public TiposPlantilla getIdTipoPlantilla() {
		return idTipoPlantilla;
	}

	public void setIdTipoPlantilla(TiposPlantilla idTipoPlantilla) {
		this.idTipoPlantilla = idTipoPlantilla;
	}

	public String getNombreDocumento() {
		return nombreDocumento;
	}

	public void setNombreDocumento(String nombreDocumento) {
		this.nombreDocumento = nombreDocumento;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getDokusi() {
		return dokusi;
	}

	public void setDokusi(String dokusi) {
		this.dokusi = dokusi;
	}

	public int getAportadoExpediente() {
		return aportadoExpediente;
	}

	public void setAportadoExpediente(int aportadoExpediente) {
		this.aportadoExpediente = aportadoExpediente;
	}

	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public int getEnviadoProSan() {
		return enviadoProSan;
	}

	public void setEnviadoProSan(int enviadoProSan) {
		this.enviadoProSan = enviadoProSan;
	}

	public int getIdRelActDoc() {
		return idRelActDoc;
	}

	public void setIdRelActDoc(int idRelActDoc) {
		this.idRelActDoc = idRelActDoc;
	}

	public int getIdActuacion() {
		return idActuacion;
	}

	public void setIdActuacion(int idActuacion) {
		this.idActuacion = idActuacion;
	}

	public String getTipoDocumento() {
		return tipoDocumento;
	}

	public void setTipoDocumento(String tipoDocumento) {
		this.tipoDocumento = tipoDocumento;
	}

	public int getIdInspeccion() {
		return idInspeccion;
	}

	public void setIdInspeccion(int idInspeccion) {
		this.idInspeccion = idInspeccion;
	}

	public Plantillas getPlantilla() {
		return plantilla;
	}

	public void setPlantilla(Plantillas plantilla) {
		this.plantilla = plantilla;
	}

}
